# $Revision: 1.51 $, $Date: 2009/02/23 22:05:17 $
Summary:	Computer chess program
Summary(de.UTF-8):	Computerschachprogramm
Summary(es.UTF-8):	Juego de ajedrez de la GNU
Summary(fr.UTF-8):	Jeu d'échecs
Summary(pl.UTF-8):	Gra w szachy
Summary(pt_BR.UTF-8):	Jogo de xadrez da GNU
Summary(ru.UTF-8):	Шахматная программа GNU
Summary(tr.UTF-8):	Bilgisayar satranç oyunu
Summary(uk.UTF-8):	Шахова програма GNU
Name:		gnuchess
Version:	5.07
Release:	7
License:	GPL v2
Group:		Applications/Games
Source0:	http://ftp.gnu.org/gnu/chess/%{name}-%{version}.tar.gz
# Source0-md5:	259da00aa559e5624c65279484fccaf7
Source1:	xchess.png
Source2:	%{name}.desktop
Patch0:		%{name}-gcc4.patch
URL:		http://www.gnu.org/software/chess/chess.html
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	ncurses-devel >= 5.0
Provides:	chess_backend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gnuchess package contains the GNU chess program. By default,
GNUchess uses a curses text-based interface. Alternatively, GNUchess
can be used in conjunction with the xboard user interface and the X
Window System for a graphical chessboard.

%description -l de.UTF-8
Das berühmte GNU-Schachprogramm. Es ist textorientiert, kann aber mit
'xboard' verwendet werden, um X-orientiertes Schach zu spielen.

%description -l es.UTF-8
Este es el famoso programa de ajedrez de GNU. Está basado en texto,
pero puede ser usado en conjunción con xboard para jugar ajedrez
basado en X.

%description -l fr.UTF-8
Le fameux programme de jeu d'échecs de GNU. Il est en mode texte mais
peut être utilisé avec xboard pour y jouer sous X.

%description -l pl.UTF-8
Oto sławny GNU program szachowy. Domyślnie ma interfejs tekstowy
(curses), ale w połączeniu z xboard może mieć graficzny interfejs
X Window.

%description -l pt_BR.UTF-8
Este é o famoso programa de xadrez da GNU. É baseado em texto, mas
pode ser usado em conjunção com xboard para jogar xadrez baseado em X.

%description -l ru.UTF-8
Пакет gnuchess содержит шахматную программу GNU. По умолчанию GNUchess
использует текстовый интерфейс на основе curses. Альтернативно она
может использоваться в сочетании с xboard, обеспечивающим графический
интерфейс под X Window System.

%description -l tr.UTF-8
Bu ünlü GNU satranç programıdır. Metin ekranda çalışır ama xboard
programı ile birlikte kullanılarak X altında da oynanabilir.

%description -l uk.UTF-8
Пакет gnuchess містить шахову програму GNU. За умовчанням GNUchess
використовує текстовий інтерфейс на основі curses. Альтернативно вона
може використовуватись у парі з програмою xboard, яка забезпечує
графічний інтерфейс під X Window System.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games/gnuchess,%{_mandir}/man6} \
       $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install src/gnuchess $RPM_BUILD_ROOT%{_bindir}
install src/gnuchessx $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS TODO doc/*
%attr(755,root,root) %{_bindir}/gnuchess*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnuchess.spec,v $
Revision 1.51  2009/02/23 22:05:17  arekm
- release 7

Revision 1.50  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.49  2007-11-18 11:12:23  blues
- provides chess_backend

Revision 1.48  2007-11-17 22:13:35  blues
- rel.6, GPLv2, details

Revision 1.47  2007/07/27 22:06:23  blues
- a bit fixed pl description

Revision 1.46  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.44  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.43  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.42  2005/07/26 20:05:12  jareq
- add gnuchess-gcc4.patch - now build with gcc4
- rel. 4

Revision 1.41  2005/06/01 20:07:08  zbyniu
- BR: flex

Revision 1.40  2004/06/01 17:37:21  qboosh
- fixed build on amd64, release 3

Revision 1.39  2004/06/01 15:16:57  pawelk
- install gnuchessx (needed by xboard)
- rel 2

Revision 1.38  2003/09/27 17:13:36  djurban
- 5.07

Revision 1.37  2003/09/27 16:11:47  djurban
- vfolders enabled

Revision 1.36  2003/05/26 17:17:53  erjot
- typos

Revision 1.35  2003/05/26 16:54:11  misi3k
- updated to 5.06
- cleanup
